Agora RTC Objective-C API Reference Refactor

Data Fields
LocalVideoStats Struct Reference

## Data Fields
uid_t | uid
int | sentBitrate
int | sentFrameRate
int | captureFrameRate
int | captureFrameWidth
int | captureFrameHeight
int | regulatedCaptureFrameRate
int | regulatedCaptureFrameWidth
int | regulatedCaptureFrameHeight
int | encoderOutputFrameRate
int | encodedFrameWidth
int | encodedFrameHeight
int | rendererOutputFrameRate
int | targetBitrate
int | targetFrameRate
QUALITY_ADAPT_INDICATION | qualityAdaptIndication
int | encodedBitrate
int | encodedFrameCount
VIDEO_CODEC_TYPE | codecType
unsigned short | txPacketLossRate
CAPTURE_BRIGHTNESS_LEVEL_TYPE | captureBrightnessLevel
bool | dualStreamEnabled
int | hwEncoderAccelerating
VideoDimensions | simulcastDimensions [SimulcastConfig::STREAM_LAYER_COUNT_MAX]
int | encodedFrameDepth

## Field Documentation

## ◆ uid

uid_t uid

The ID of the local user.

## ◆ sentBitrate

int sentBitrate

The actual bitrate (Kbps) while sending the local video stream.

Note
  This value does not include the bitrate for resending the video after packet loss.

## ◆ sentFrameRate

int sentFrameRate

The actual frame rate (fps) while sending the local video stream.

Note
  This value does not include the frame rate for resending the video after packet loss.

## ◆ captureFrameRate

int captureFrameRate

The frame rate (fps) for capturing the local video stream.

## ◆ captureFrameWidth

int captureFrameWidth

The width (px) for capturing the local video stream.

## ◆ captureFrameHeight

int captureFrameHeight

The height (px) for capturing the local video stream.

## ◆ regulatedCaptureFrameRate

int regulatedCaptureFrameRate

The frame rate (fps) adjusted by the built-in video capture adapter (regulator) of the SDK for capturing the local video stream. The regulator adjusts the frame rate of the video captured by the camera according to the video encoding configuration.

## ◆ regulatedCaptureFrameWidth

int regulatedCaptureFrameWidth

The width (px) adjusted by the built-in video capture adapter (regulator) of the SDK for capturing the local video stream. The regulator adjusts the height and width of the video captured by the camera according to the video encoding configuration.

## ◆ regulatedCaptureFrameHeight

int regulatedCaptureFrameHeight

The height (px) adjusted by the built-in video capture adapter (regulator) of the SDK for capturing the local video stream. The regulator adjusts the height and width of the video captured by the camera according to the video encoding configuration.

## ◆ encoderOutputFrameRate

int encoderOutputFrameRate

The output frame rate (fps) of the local video encoder.

## ◆ encodedFrameWidth

int encodedFrameWidth

The width of the encoded video (px).

## ◆ encodedFrameHeight

int encodedFrameHeight

The height of the encoded video (px).

## ◆ rendererOutputFrameRate

int rendererOutputFrameRate

The output frame rate (fps) of the local video renderer.

## ◆ targetBitrate

int targetBitrate

The target bitrate (Kbps) of the current encoder. This is an estimate made by the SDK based on the current network conditions.

## ◆ targetFrameRate

int targetFrameRate

The target frame rate (fps) of the current encoder.

## ◆ qualityAdaptIndication

QUALITY_ADAPT_INDICATION qualityAdaptIndication

The quality adaptation of the local video stream in the reported interval (based on the target frame rate and target bitrate). See `QUALITY_ADAPT_INDICATION`.

## ◆ encodedBitrate

int encodedBitrate

The bitrate (Kbps) while encoding the local video stream.

Note
  This value does not include the bitrate for resending the video after packet loss.

## ◆ encodedFrameCount

int encodedFrameCount

The number of the sent video frames, represented by an aggregate value.

## ◆ codecType

VIDEO_CODEC_TYPE codecType

The codec type of the local video. See `VIDEO_CODEC_TYPE`.

## ◆ txPacketLossRate

unsigned short txPacketLossRate

The video packet loss rate (%) from the local client to the Agora server before applying the anti-packet loss strategies.

## ◆ captureBrightnessLevel

CAPTURE_BRIGHTNESS_LEVEL_TYPE captureBrightnessLevel

The brightness level of the video image captured by the local camera. See `CAPTURE_BRIGHTNESS_LEVEL_TYPE`.

## ◆ dualStreamEnabled

bool dualStreamEnabled

Whether we send dual stream now.

## ◆ hwEncoderAccelerating

int hwEncoderAccelerating

The local video encoding acceleration type.

- 0: Software encoding is applied without acceleration.
- 1: Hardware encoding is applied for acceleration.

## ◆ simulcastDimensions

VideoDimensions simulcastDimensions[SimulcastConfig::STREAM_LAYER_COUNT_MAX]

The dimensions of the simulcast streams's encoding frame.

## ◆ encodedFrameDepth

int encodedFrameDepth

@technical preview The encodedFrameDepth of the local video:

- SDR = 8.
- HDR = 10.